require("lovesplash/lovesplash")
local Moan = require("Moan/Moan")

state = "lovesplash"

function love.load()
  -- The FontStruction “Pixel UniCode” (https://fontstruct.com/fontstructions/show/908795)
  -- by “ivancr72” is licensed under a Creative Commons Attribution license
  -- (http://creativecommons.org/licenses/by/3.0/)
  Moan.font = love.graphics.newFont("assets/Pixel UniCode.ttf", 32)

  -- Add font fallbacks for Japanese characters
  JPfallback = love.graphics.newFont("assets/JPfallback.ttf", 32)
  Moan.font:setFallbacks(JPfallback)

  -- Audio from bfxr (https://www.bfxr.net/)
  Moan.typeSound = love.audio.newSource("assets/typeSound.wav", "static")
  Moan.optionOnSelectSound = love.audio.newSource("assets/optionSelect.wav", "static")
  Moan.optionSwitchSound = love.audio.newSource("assets/optionSwitch.wav", "static")

  -- Set up our image for image argument in Moan.new config table
  avatar = love.graphics.newImage("assets/Obey_Me.png")
end


function love.draw()
  if state == "lovesplash" then
    lovesplash.draw()
  else if state == "menu" then
    Moan.speak("Title", {"Hello World!"})
  end
  end
  Moan.draw()
end

function Moan.draw()
  
end

function love.update(dt)
  if state == "lovesplash" then
    lovesplash.update(dt)
    if lovesplash.done() then
      state = "menu"
    end
  end
  Moan.update(dt)
end

function love.keypressed()
  if state == "lovesplash" then
    lovesplash.stop()
  else if state == "exit" then
    love.event.quit()
  else
  end
end
end

function love.mousepressed()
  if state == "lovesplash" then
    lovesplash.stop()
  else if state == "exit" then
    love.event.quit()
  else
  end
end
end

function love.keyreleased(key)
    Moan.keyreleased(key) -- or Moan.keypressed(key)
end
